/*
 * resources.h -- Default X resources for the X user interface to the
 *                Problem Tracking System (PTS) database.
 * 
 * Dean Collins
 * created: Tue May  5 16:03:51 PDT 1992
 */

/*
 * Copyright (c) 1992,1993 Dean Collins.
 * Copyright (c) 1992 University of Idaho, Moscow, Idaho.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation free of charge for any purpose is hereby granted without
 * fee, provided that the above copyright notices appear in all copies and
 * that both those copyright notices and this permission notice appear in
 * supporting documentation, and that neither the name of the University of
 * Idaho nor the name of Dean Collins be used in advertising or publicity
 * pertaining to distribution of the software without specific, written
 * prior permission from both parties.  Neither The University of Idaho
 * nor Dean Collins make any representations about the suitability of
 * this software for any purpose.  It is provided "as is" without express
 * or implied warranty.
 * 
 * THE UNIVERSITY OF IDAHO AND DEAN COLLINS DISCLAIM ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS.  IN NO EVENT SHALL THE UNIVERSITY OF IDAHO
 * OR DEAN COLLINS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
 * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 */

/* Since this .h file contains the definition of a global variable,
 * it should be only be included once by the application program.
 */

/*
 * These resources will be over-ridden by the app-defaults
 * file for this application, if present, or the user's personal resources.
 */

String fallback_resources[] = {

/*---------------- Sleep Popup resources: ----------------*/

"*sleepPopup.button.bitmap:			xpts.xbm",
"*sleepPopup.button.highlightThickness:		0",
"*sleepPopup.button.internalWidth:		0",
"*sleepPopup.button.internalHeight:		0",
"*sleepPopup.button.shapeStyle:			rectangle",
"*sleepPopup.geometry:				-162+15",


/*---------------- Main Menu resources: -----------------*/

"*mainMenu.panes.wintitle2.label:		Main Menu",
"*mainMenu.panes.viewport.list.defaultColumns:	1",
"*mainMenu.panes.viewport.list.forceColumns:	TRUE",
"*mainMenu.panes.helpLine.label: Select a menu item above or button below:",
"*mainMenu.panes.buttonBox.quitButton.label:	Quit",
"*mainMenu.panes.buttonBox.helpButton.label:	Help",
"*mainMenu.panes.buttonBox.infoButton.label:	About PTS",
"*mainMenu.geometry:				+10+10",
/* On some systems (well, one so far) the main menu geometry may not be	    */
/* correct.  You may not be able to see all the items in the menu without   */
/* resizing.  If so, try something like this instead of the geometry above: */
/* 	*mainMenu.geometry: 600x300+10+10 				    */
/* This appears to be a minor bug in the Athena widgets.  If I'm wrong,	    */
/* let me know, especially if you have a better solution! 		    */
/* (RDC 11/93, Zombie Software)						    */
 

/*------------- Problem Selection popup resources: ------*/

"*pickProblem.panes.wintitle2.label:			Problem Selection",
"*pickProblem.panes.viewport.forceBars:			TRUE",
"*pickProblem.panes.helpLine.label: Select a problem type above or a button below:",
"*pickProblem.panes.buttonBox.quitButton.label:		Main Menu",
"*sysopMenu.pickProblem.panes.buttonBox.quitButton.label:	Sysop Menu",
"*pickProblem.panes.buttonBox.previousButton.label:	Previous Menu",
"*pickProblem.panes.buttonBox.newProblem.label:		New Problem",
"*pickProblem.geometry:					450x225+80+80",


/*------------- Problem Viewer popup resources: ---------*/

"*probViewer.panes.wintitle2.label:			Problem Viewer",
"*probViewer.panes.text*scrollVertical:			always",
"*probViewer.panes.text*scrollHorizontal:		always",
"*probViewer.panes.text*preferredPaneSize:		275",
"*probViewer.panes.edit*scrollVertical:			always",
"*probViewer.panes.edit*scrollHorizontal:		always",
"*probViewer.panes.edit*preferredPaneSize:		200",
"*probViewer.panes.edit*editType:			edit",
"*probViewer.panes.helpLine.label:		Select a button below:",
"*probViewer.panes.buttonBox.height:			20",
"*probViewer.panes.buttonBox.quitButton.label:		Quit",
"*probViewer.panes.buttonBox.reopenButton.label:	Request Reopen",
"*probViewer.panes.buttonBox.reopenDeny.label:		Deny Reopen",
"*probViewer.panes.buttonBox.reopenAccept.label:	Accept Reopen",
"*probViewer.panes.buttonBox.printProblem.label:	Print Problem",
"*probViewer.panes.buttonBox.editButton.label:		Edit",
"*probViewer.panes.buttonBox.moveButton.label:		Move Problem",
"*probViewer.panes.buttonBox.reportAgain.label:		Report Again",
"*probViewer.panes.buttonBox.deleteProblem.label:	Delete Problem",
"*probViewer.panes.helpLine2.label: Edit the problem log entry above and/or select a button below:",
"*probViewer.panes.buttonBox2.saveButton.label:		Save",
"*probViewer.panes.buttonBox2.cancelButton.label:	Cancel",
"*probViewer.panes.buttonBox2.solveButton.label:	Solve",
"*probViewer.panes.helpLine3.label: Enter your reasons for reopening the problem above and/or select a button below:",
"*probViewer.panes.buttonBox3.saveButton2.label:	Save",
"*probViewer.panes.buttonBox3.cancelButton2.label:	Cancel",
"*probViewer.panes.helpLine4.label: Enter your reasons for denying the reopen request above and/or select a button below:",
"*probViewer.panes.buttonBox4.saveButton3.label:	Mail Denial",
"*probViewer.panes.buttonBox4.cancelButton3.label:	Cancel",
"*probViewer.panes.buttonBox.allowResize:		FALSE",
"*probViewer.geometry:					800x700+120+15",


/*---------------- Move Problem Popup resources: --------*/

"*movePopup*acceptButton.label:				OK",
"*movePopup*cancelButton.label:				Cancel",
"*movePopup.geometry:					500x90+150+150",


/*---------------- Problem Entry Popup resources: -------*/

"*probEntry.panes.wintitle2.label:			Problem Entry",
"*probEntry.panes.dialogBox.type.label:			Type",
"*probEntry.panes.dialogBox.summary.label:		Summary",
"*probEntry.panes.dialogBox.node.label:			Node",
"*probEntry.panes.helpLine2.label: Enter problem description below:",
"*probEntry.panes.text*editType:			edit",
"*probEntry.panes.text*preferredPaneSize:		150",
"*probEntry.panes.text*scrollVertical:			always",
"*probEntry.panes.text*scrollHorizontal:		always",
"*probEntry.panes.helpLine.label: Enter information above and/or select a button below:",
"*probEntry.panes.buttonBox.continueButton.label:	OK",
"*probEntry.panes.buttonBox.cancelButton.label:		Cancel",
"*probEntry.geometry:					700x550+120+120",


/*---------------- Unsolved Popup resources: ------------*/

"*unsolvedPopup.panes.wintitle2.label:			Unsolved Problems",
"*unsolvedPopup.panes.helpLine.label: Select a problem summary above or a button below:",
"*unsolvedPopup.panes.buttonBox.quitButton.label:	Main Menu",
"*sysopMenu.unsolvedPopup.panes.buttonBox.quitButton.label:	Sysop Menu",
"*unsolvedPopup.geometry:				900x400+80+80",


/*---------------- Sysop menu resources: ----------------*/

"*sysopMenu.panes.wintitle2.label:			Sysop Menu",
"*sysopMenu.panes.helpLine.label: Select a menu item above or a button below:",
"*sysopMenu.panes.buttonBox.quitButton.label:		Main Menu",
"*sysopMenu.panes.buttonBox.helpButton.label:		Help",
"*sysopMenu.geometry:					+50+50",


/*---------------- MOTD Popup resources: ----------------*/

"*motdPopup.panes.wintitle2.label:			Edit MOTD",
"*motdPopup.panes.text*editType:			edit",
"*motdPopup.panes.text*scrollHorizontal:		always",
"*motdPopup.panes.text*preferredPaneSize:		400",
"*motdPopup.panes.helpLine.label: Edit the Message of the Day above and/or select a button below:",
"*motdPopup.panes.buttonBox.quitButton.label:		Quit",
"*motdPopup.panes.buttonBox.saveButton.label:		Save",
"*motdPopup.geometry:					735x500+80+80",


/*---------------- Help Popup resources: ----------------*/

"*helpPopup.panes.wintitle2.label:			Help Screen",
"*sysopMenu.helpPopup.panes.wintitle2.label:		Sysop Help Screen",
"*helpPopup.panes.text*scrollVertical:			always",
"*helpPopup.panes.text*scrollHorizontal:		always",
"*helpPopup.panes.text*type:				file",
"*helpPopup.panes.text*string:			/usr/lib/X11/xpts.help",
"*sysopMenu.helpPopup.panes.text*string:	/usr/lib/X11/xpts_sysop.help",
"*helpPopup.panes.helpLine.label:	Select a button below:",
"*helpPopup.panes.buttonBox.quitButton.label:		OK",
"*helpPopup.geometry:					735x500+80+80",


/*---------------- Info Popup resources: ----------------*/

"*infoPopup.panes.wintitle2.label:			PTS Information",
"*infoPopup.panes.text*scrollVertical:			always",
"*infoPopup.panes.text*scrollHorizontal:		always",
"*infoPopup.panes.helpLine.label:			Select a button below:",
"*infoPopup.panes.buttonBox.quitButton.label:		OK",
"*infoPopup.geometry:					675x420+80+80",


/*---------------- Error Popup resources: ---------------*/

"*error.panes.wintitle.label:				PTS ERROR!",
"*error.panes.text*scrollVertical:			always",
"*error.panes.text*scrollHorizontal:			always",
"*error.panes.text*editType:				read",
"*error.panes.helpLine.label:				Select a button below:",
"*error.panes.buttonBox.quitButton.label:		OK",
"*error.geometry:					675x300",


/*---------------- Warning Popup resources: -------------*/

"*warning.panes.wintitle.label:				PTS WARNING!",
"*warning.panes.text*scrollVertical:			always",
"*warning.panes.text*scrollHorizontal:			always",
"*warning.panes.text*editType:				read",
"*warning.panes.helpLine.label:				Select a button below:",
"*warning.panes.buttonBox.continueButton.label:		Continue",
"*warning.panes.buttonBox.quitButton.label:		Cancel",
"*warning.geometry:					675x300+80+80",


/*---------------- Signal Error Popup resources: --------*/

"*signalError.panes.wintitle.label:			SIGNAL ERROR!",
"*signalError.panes.text*scrollVertical:		always",
"*signalError.panes.text*scrollHorizontal:		always",
"*signalError.panes.text*editType:			read",
"*signalError.panes.helpLine.label:			Select a button below:",
"*signalError.panes.buttonBox.quitButton.label:		OK",
"*signalError.geometry:					750x300+80+80",


/*---------------- Signal Warning Popup resources: ------*/

"*signalWarning.panes.wintitle.label:			SIGNAL WARNING!",
"*signalWarning.panes.text*scrollVertical:		always",
"*signalWarning.panes.text*scrollHorizontal:		always",
"*signalWarning.panes.text*editType:			read",
"*signalWarning.panes.helpLine.label:			Select a button below:",
"*signalWarning.panes.buttonBox.continueButton.label:	Yes",
"*signalWarning.panes.buttonBox.quitButton.label:	No",
"*signalWarning.geometry:				750x300+80+80",


/*---------------- Notice Popup resources: --------------*/

"*notice.panes.wintitle.label:				PTS NOTICE!",
"*notice.panes.text*scrollVertical:			whenNeeded",
"*notice.panes.text*scrollHorizontal:			whenNeeded",
"*notice.panes.text*editType:				read",
"*notice.panes.helpLine.label:				Select a button below:",
"*notice.panes.buttonBox.quitButton.label:		OK",
"*notice.geometry:					700x300+80+80",



/******************** Semi-generic stuff: ********************/

"*wintitle1.label:		PROBLEM TRACKING SYSTEM",
"*AsciiSink.ScrollHorizontal:	always",
"*AsciiSink.ScrollVertical:	always",
"*Viewport.allowHoriz:		TRUE",
"*Viewport.allowVert:		TRUE",
"*List.columnSpacing:           30",

/* shapeStyle Will default to rectangle */
/* if your X server can't handle it. */

"*Command.shapeStyle:		oval",
"*quitButton.label:		Quit",


/*---------------- Key Translations: --------------------*/

/* 	Make the return key in dialog boxes do nothing. */
"*Dialog*translations:		#override <Key>Return: NoOp()",

/*	Highlight the item under the cursor. Allow return to select */
/*	the current item.					    */

"*List*translations:	#override \
        <Motion>:	Set() \n\
        <Enter>:	Set() \n\
        <Leave>:	Unset() \n\
        <Key>Return:	Set() Notify()",


/*	Allow the return key to pick the button under the cursor. */
/*	Watch out for people holding down the return key.... :-(  */

"*Command*translations:  #override <Key>Return: set() notify() unset()",


/*---------------- from the paned widget: ---------------*/

"*allowResize:                          TRUE",
/* 	Make it so that "the thing in the middle" will		*/
/*	be resized before the labels and the button box.	*/
"*Label.skipAdjust:                     TRUE",
"*Box.skipAdjust:                       TRUE",
"*Viewport.skipAdjust:                  FALSE",


/*---------------- Fonts. (OK, so I like big fonts.)-----*/

"*font:			-*-lucida-bold-r-normal-sans-17-*",
"*helpLine.font:	-*-lucida-bold-i-normal-sans-12-*",
"*probEntry.panes.helpLine2.font: -*-lucida-bold-r-normal-sans-17-*",
"*helpLine2.font:	-*-lucida-bold-i-normal-sans-12-*",
"*helpLine3.font:	-*-lucida-bold-i-normal-sans-12-*",
"*helpLine4.font:	-*-lucida-bold-i-normal-sans-12-*",
"*AsciiSink*font:	-*-lucidatypewriter-bold-r-normal-sans-14-*",


/*---------------- Colors -------------------------------*/

"*background:				seashell",
"*foreground:				black",
"*borderColor:				black",
"*internalBorderColor:			black",

"*error*background:			red",
"*error*foreground:			white",
"*error*borderColor:			white",
"*error*internalBorderColor:		white",

"*signalWarning*background:		red",
"*signalWarning*foreground:		white",
"*signalWarning*borderColor:		white",
"*signalWarning*internalBorderColor:	white",

"*signalError*background:		red",
"*signalError*foreground:		white",
"*signalError*borderColor:		white",
"*signalError*internalBorderColor:	white",

"*warning*background:			LightGoldenrod1",
"*warning*foreground:			black",
"*warning*borderColor:			black",
"*warning*internalBorderColor:		black",

"*notice*background:			LightGoldenrod1",
"*notice*foreground:			black",
"*notice*borderColor:			black",
"*notice*internalBorderColor:		black",


/*---------------- xpts icon information.----------------*/

"*iconPixmap:		xpts.xbm",
/* See patchlevel.h for the One True Version Number */
"*mainMenu.iconName:	Xpts 1.03",
"*sleepPopup.iconName:	Xpts 1.03",


NULL    /* The last item in this list MUST be NULL. */
} ;
/* end of resources.h */

